Subject: Ticket Assigned - Delivery
From: Splash <[email-masked]>
To: [email-masked]
Date: Tue, 24 Jan 2023 05:25:53 +0000

Hi Reena kumari,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery Hello 

Twice now they didn’t deliver my order. I’ve called the first time and was told they would deliver the next day today 

I specifically mentioned on the phone the courier can just ring the bell and drop the goods. My address is provided in the order! And  I won’t be able to be reached during the day over the phone and there is no need for them to call. All they need to do is ring the house bell, someone is always home and drop it. 

I don’t understand why this is such an issue?!! I am not impressed to say the least, this is very much inconvenient and just a delivery … no issues with other delivery services like this! Amazon or Kareem… https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5620167